


monetd(1)                USER COMMANDS                  monetd(1)



NAME
     monetd-A programmable distributed network monitor

SYNOPSIS
     monetd [  -ps -p -a -probe -edb -trap -x25delay -x25 -refer-
     ence  -manual -email -debug -home -startup -dir -short -dae-
     mon -shell -exec -options -help -c]

DESCRIPTION
     Monetd

     as part of the monet network management package.  Each  site
     should have one or more of these agents for monitoring their
     own site.  This information is distributed to  other  agents
     and  clients  on request.  The idea is to provide local con-
     trol over the network management of a site and avoid  multi-
     ple querying.

OPTIONS
     -ps -   Prolog file for postscript output

     -p -    Port number of monitoring agent

     -a -    Address of monitoring agent

     -probe -
             Enable probing by this program

     -edb -  entity database file

     -trap - Enable snmp traps

     -x25delay -
             Period  between  checking  if  X.25  host  file  has
             changed

     -x25 -  The name of the x121 host/address table

     -reference -
             produces an latex  formatted  reference  manual  and
             exits

     -manual -
             produces an nroff formatted manual page and exits

     -email -
             Sets the users email address.

     -debug -
             Switches on debugging -debug [on|off|num]

     -home - The user home directory, if not ~



Monet               Last change: Release 0.10                   1






monetd(1)                USER COMMANDS                  monetd(1)



     -startup -
             The name of the startup file

     -dir -  Where to look for run time specific files

     -short -

     -daemon -
             Set daemon mode for this program, careful

     -shell -
             Prompt for input from the command line

     -exec - A command to execute on start up

     -options -
             brief list of command line options

     -help - lists command line options and exits

     -c -    Execute rest of command line as command and exit

FILES
     $MONETDIR/*.msh ~/.monetdrc $MONETDIR/monetdrc.msh

SEE ALSO
     Monet: User Guide

AUTHOR
     James Barr, NIKHEF-H, Amsterdam <a38@nikhef.nl>

























Monet               Last change: Release 0.10                   2



