


monetlogd(1)             USER COMMANDS               monetlogd(1)



NAME
     monetlogd-

SYNOPSIS
     monetlogd [  -reference -manual -email -debug -home -startup
     -dir -short -daemon -shell -exec -options -help -c]

DESCRIPTION
     The monetlogd program is  a  logging  server  that  provides
     three  basic functions, alarms, logging and queries.  Alarms
     are timestamped one line informational messages.  Logging is
     done  on  a per device basis and uses the draft IETF logging
     format.  Queries perform searches on the data.

     Using a server is preferable to doing  logging  directly  to
     files  because  it  centralises  the  functionality, reduces
     number of programs needing special access  rights  and  lets
     logging  be  done  remotely.  In addition it provides a con-
     venient means of accessing information.

     Each logged device has its own formatted log  file.   Alarms
     are  kept  in  their own file.  No complicated and expensive
     database mechanism underlies the system.  The log  directory
     will also probably be available by anonymous ftp.

     The querying commands are simple interfaces  to  basic  unix
     commands,  such  as  'cat', 'egrep' and 'ls'.  These provide
     plenty of functionality, they  are  available  on  non  unix
     machines and they are optimised.

     Security is provided by passwords and checks on  the  source
     address of incoming connections.

OPTIONS
     -reference -
             produces an latex  formatted  reference  manual  and
             exits

     -manual -
             produces an nroff formatted manual page and exits

     -email -
             Sets the users email address.

     -debug -
             Switches on debugging -debug [on|off|num]

     -home - The user home directory, if not ~

     -startup -
             The name of the startup file




Monet               Last change: Release 0.10                   1






monetlogd(1)             USER COMMANDS               monetlogd(1)



     -dir -  Where to look for run time specific files

     -short -

     -daemon -
             Set daemon mode for this program, careful

     -shell -
             Prompt for input from the command line

     -exec - A command to execute on start up

     -options -
             brief list of command line options

     -help - lists command line options and exits

     -c -    Execute rest of command line as command and exit

FILES
     $MONETDIR/*.msh ~/.monetlogdrc $MONETDIR/monetlogdrc.msh

SEE ALSO
     Monet: User Guide

AUTHOR
     James Barr, NIKHEF-H, Amsterdam <a38@nikhef.nl>




























Monet               Last change: Release 0.10                   2



