


xmonetchart(1)           USER COMMANDS             xmonetchart(1)



NAME
     xmonetchart-X11 based Attribute Chart Tool

SYNOPSIS
     xmonetchart [  -ps -p -a -probe  -edb  -attr  -h  -reference
     -manual  -email  -debug  -home  -startup -dir -short -daemon
     -shell -exec -options -help -c]

DESCRIPTION
     Monetchart is an X11 based client for monet.   It  uses  the
     Athena  Widgets  (Xaw)  StripChart  Widget  to display a the
     changing value of an attribute over time, in a  way  similar
     to how xload(1) shows the load on the local host.

     Monet provides distributed monitoring  of  the  network  and
     keeps  a  set  of  attributes  on  the  systems  it monitors
     representing their current state.  Clients  connected  to  a
     monitoring  agents  are notified about state changes as they
     happen.

     Monetchart is used to monitor exactly  one  attribute  of  a
     single system.  The system has a built in scripting language
     which means the program is  not  not  limited  to  just  the
     values  returned  by  the agents but is perfectly capable of
     processing one of more attributes to get the required value.

     The program is not linked with the monetprobe library  which
     would  make  it  capable  of  doing its own network querying
     (snmp, x25, ip etc).  If this capability is required  it  is
     quite simple to add it.

     The user interface is built using Xaw, Wcl and Xmonet and as
     such is very configurable.

     The StripChart Widget calls a function every so many seconds
     which  should  return a number.  When this happens a monetsh
     function 'xchart-get' is called which returns  the  required
     value,   which   is   defined   in  the  configuration  file
     $MONETDIR/xmonetchart.msh.

OPTIONS
     -ps -   Prolog file for postscript output

     -p -    Port number of monitoring agent

     -a -    Address of monitoring agent

     -probe -
             Enable probing by this program

     -edb -  entity database file




Monet               Last change: Release 0.10                   1






xmonetchart(1)           USER COMMANDS             xmonetchart(1)



     -attr - Default attribute

     -h -    Default host name

     -reference -
             produces an latex  formatted  reference  manual  and
             exits

     -manual -
             produces an nroff formatted manual page and exits

     -email -
             Sets the users email address.

     -debug -
             Switches on debugging -debug [on|off|num]

     -home - The user home directory, if not ~

     -startup -
             The name of the startup file

     -dir -  Where to look for run time specific files

     -short -

     -daemon -
             Set daemon mode for this program, careful

     -shell -
             Prompt for input from the command line

     -exec - A command to execute on start up

     -options -
             brief list of command line options

     -help - lists command line options and exits

     -c -    Execute rest of command line as command and exit

FILES
     $MONETDIR/*.msh ~/.xmonetchartrc $MONETDIR/xmonetchartrc.msh

SEE ALSO
     Monet: User Guide

AUTHOR
     James Barr, NIKHEF-H, Amsterdam <a38@nikhef.nl>






Monet               Last change: Release 0.10                   2



