


libmonetdraw(3)        C LIBRARY FUNCTIONS        libmonetdraw(3)



NAME
     libmonet - Drawing Library for Monet

SYNOPSIS
     #include <monet/Shape.h>


     _c_c ... -lmonet

DESCRIPTION
       At the top level is a library for  drawing  various  basic
     shapes,
       each shape has one or maybe two labels and can have a  set
     of
       extra  attributes  such  as  thick  border,  symbols   and
     colours/shapes.

       The shapes library sits on top of  a  simple  but  generic
     drawing library
       which provides scaled graphics and text.

       This drawing library sits on top of a set of drivers,  one
     for
       producing postscript, one for X11 and one giving a  simple
     text format.

                        Shape
                          |
                        Draw
                       /  |          Postscript  X11  Text

       Weaknesses are that the draw library is not  that  generic
     and the
       shapes library is very ungeneric, it  should  be  possible
     for the user
       to design their own shapes.

       The shapes library works in two stages, first you pass the
     details
       of your drawing to a  routine  'Shape_prepare'  which  may
     adjust them
       a bit.  After this you call 'Shape_draw' to display it.


BUGS
AUTHORS
     James Barr, NIKHEF-H, Amsterdam
     Alena Lacova, NIKHEF-H, Amsterdam







Monet               Last change: Release 0.10                   1



